<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: DataPlot2D.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_data_plot2_d_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">DataPlot2D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_data_plot2_d_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef DATAPLOT2D_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define DATAPLOT2D_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_data_plot_8h.html">DataPlot.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>IODataElement;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classflair_1_1gui_1_1_data_plot2_d.html">   34</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html">DataPlot2D</a> : <span class="keyword">private</span> <a class="code" href="classflair_1_1gui_1_1_data_plot.html">DataPlot</a> {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html#a14cfb30a1f56d6f7acc5f225a24d213f">DataPlot2D</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name,</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;             std::string x_name, <span class="keywordtype">float</span> xmin, <span class="keywordtype">float</span> xmax, std::string y_name,</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;             <span class="keywordtype">float</span> ymin, <span class="keywordtype">float</span> ymax);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html#a1bae1723d99ae31d9c1936f782d9ee3e">~DataPlot2D</a>();</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html#add21a8cf4753bd3329534739cea5073e">AddCurve</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *x_element,</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;                <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *y_element, <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">Color_t</a> color,</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;                std::string curve_name = <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1gui_1_1_data_plot2_d.html#add21a8cf4753bd3329534739cea5073e">AddCurve</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *x_element,</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">core::IODataElement</a> *y_element, uint8_t r = 255,</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                uint8_t g = 0, uint8_t b = 0, std::string curve_name = <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;};</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#endif // DATAPLOT2D_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html">flair::gui::DataPlot</a></div><div class="ttdoc">Abstract class to display plots on ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot.h:34</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot2_d_html_a14cfb30a1f56d6f7acc5f225a24d213f"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot2_d.html#a14cfb30a1f56d6f7acc5f225a24d213f">flair::gui::DataPlot2D::DataPlot2D</a></div><div class="ttdeci">DataPlot2D(const LayoutPosition *position, std::string name, std::string x_name, float xmin, float xmax, std::string y_name, float ymin, float ymax)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot2_d_html_a1bae1723d99ae31d9c1936f782d9ee3e"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot2_d.html#a1bae1723d99ae31d9c1936f782d9ee3e">flair::gui::DataPlot2D::~DataPlot2D</a></div><div class="ttdeci">~DataPlot2D()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot2_d_html_add21a8cf4753bd3329534739cea5073e"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot2_d.html#add21a8cf4753bd3329534739cea5073e">flair::gui::DataPlot2D::AddCurve</a></div><div class="ttdeci">void AddCurve(const core::IODataElement *x_element, const core::IODataElement *y_element, Color_t color, std::string curve_name=&quot;&quot;)</div><div class="ttdoc">Add a curve from elements to the plot. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot_html_a0e106271554ff92ebeb94d22014f037e"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">flair::gui::DataPlot::Color_t</a></div><div class="ttdeci">Color_t</div><div class="ttdoc">Types of colors. </div><div class="ttdef"><b>Definition:</b> DataPlot.h:40</div></div>
<div class="ttc" id="_data_plot_8h_html"><div class="ttname"><a href="_data_plot_8h.html">DataPlot.h</a></div><div class="ttdoc">Abstract class to display plots on ground station. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot2_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot2_d.html">flair::gui::DataPlot2D</a></div><div class="ttdoc">Class displaying a 2D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot2D.h:34</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_data_plot2_d_8h.html">DataPlot2D.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
